
QGIS Application - Bug report #14079

Processing plugin cannot update

2016-01-08 12:35 PM - Cory Albrecht

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22089

Description

Using QGIS Lyon 2.12.2 x86_64 on Windows 10 Version 1511 OS Build 10586.36.

Unfortunately there are only options to choose 2.12.0 and .1 for the affected version, but the about dialog says 2.12.2 so I hope "master"

was the correct choice.

QGIS Desktop (both normal and the one with GRASS) was crashing and leaving a mini dump file each time, so I removed all the plugins

that could be uninstalled via the uninstall button in the application, just in case it was a bad plugin since I have some installed that were

marked "experimental". Afterwards, Processing was highlighted in red as broken and the update button was there so I tried it, but it failed.

When I exited and restarted, Processing automatically tried to reinstall, but again failed. However, QGIS was nolonger crashing on exit

and creating the minidump .DMP file. Processing cannot be updated as it fails each time.

The error output window is always the same, with these lines:

Couldn't load plugin 'processing' 

ImportError: cannot import name spatialite_utils 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 281, in loadPlugin

    __import__(packageName)

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/Cory/.qgis2/python/plugins\\processing\\__init__.py", line 29, in 

    from processing.tools.general import *

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/Cory/.qgis2/python/plugins\\processing\\tools\\general.py", line 28, in 

    from processing.core.Processing import Processing

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 40, in 

    from processing.core.GeoAlgorithm import GeoAlgorithm

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 41, in 

    from processing.core.parameters import ParameterRaster, ParameterVector, ParameterMultipleInput, ParameterTable,

Parameter

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python/plugins\\processing\\core\\parameters.py", line 33, in 
    from processing.tools.vector import resolveFieldIndex, features

  File "C:/PROGRA~1/QGISLY~1/apps/qgis/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/Cory/.qgis2/python/plugins\\processing\\tools\\vector.py", line 20, in 

    from processing.algs.qgis import spatialite_utils

ImportError: cannot import name spatialite_utils

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 

QGIS version: 2.12.2-Lyon Lyon, b403532 

Python Path:

C:/PROGRA~1/QGISLY~1/apps/qgis/./python/plugins\\processing

C:/PROGRA~1/QGISLY~1/apps/qgis/./python

C:/Users/Cory/.qgis2/python

C:/Users/Cory/.qgis2/python/plugins

C:/PROGRA~1/QGISLY~1/apps/qgis/./python/plugins

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\

ose-1.3.3-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\tornado-4.0.1-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\certifi-14.05.14-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\bin\\python27.zip

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\DLLs

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\plat-win

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\lib-tk

C:\\PROGRA~1\\QGISLY~1\\bin

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\PIL

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\pytz-2012j-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\win32

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\win32\\lib

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\Pythonwin

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\six-1.3.0-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\xlrd-0.9.2-py2.7.egg

C:\\PROGRA~1\\QGISLY~1\\apps\\Python27\\lib\\site-packages\\xlwt-0.7.5-py2.7.egg

C:/Users/Cory/.qgis2//python

C:\\PROGRA~1\\QGISLY~1\\apps\\qgis\\python\\plugins\\fTools\\tools

I've attached the most recent .dmp file from before I uninstalled the plugins.

History

#1 - 2016-01-08 12:37 PM - Cory Albrecht

Attached file didn't seem to upload.
#2 - 2016-01-08 12:39 PM - Cory Albrecht

Cory Albrecht wrote:

Attached file didn't seem to upload.

And that second try did not work either. I am getting a warning that files cannot be uploaded.

#3 - 2016-01-08 01:24 PM - Giovanni Manghi

- Category set to Processing/Core

#4 - 2016-01-08 01:25 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.12.2

#5 - 2016-01-12 02:40 PM - Giovanni Manghi

- Status changed from Open to Feedback

when updating Processing it does indeed show that error, but it just enough to close qgis and restart it and is ok.

Anyway there are no crashes, in your case the crash may have been triggered for another reason. For example we know there are 3rd party plugins that do

make qgis crash frequently.

Please try remove the .qgis2 folder and try again. If you get just the python error then we can close this as there is already a ticket about it.

#6 - 2016-02-18 11:18 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for lack of feedback. Please reopen if necessary
